Subject: Names in ACTPU/ACTLU

From: "Derek W. Bolton" <[email-masked]>
Date: Tue, 19 Dec 95 12:23:48 EST

Dave,

First - a correction: 3172/SNACOM does not map XID3<->XID0.
When it generates proxy XIDs they're XID0s.

But what capability does a PUT2 claim by sending XID3 with no CP name?
No more than PUT2.0, as far as I can see.  (I've never actually found
a definition of the difference between a T2.0 and a LEN, but the
sending of XID3 seems to be it.)

I am aware of two PUT2 implementations which send and receive XID3
purely to allow DDDLU to be used.  The XID3 sent specifies secondary
role, etc.  After XID handshake is complete there is no other impact
on the code.  (I think you can say you don't want nonactivation XIDs.)

I believe that XID=YES merely triggers a null XID.  If the PUT2
replies XID0 then the set mode flows.  If it replies XID3 then it will
receive XID3.

Regards,
  Derek